## com.bbn.openmap.geo
Interface GeoExtent

All Known Subinterfaces:
  GeoPath, GeoPoint, GeoRegion, GeoSegment

All Known Implementing Classes:
  GeoIntersectionLayer.OMLineSegment, GeoPath.Impl, GeoPath.Impl.PointIt, GeoPath.Impl.SegIt, GeoPoint.Impl, GeoRegion.Impl, GeoSegment.Impl, RadialRegion

public interface GeoExtent

An object with some geographical representation on the earth. Can be a point, line or area-type thing, i.e. anything that could be plotted on a map.

Method Summary
`BoundingCircle` `getBoundingCircle()` compute a point and radius around the extent.
`java.lang.Object` `getID()` return an object that this extent represents.

Method Detail

### getBoundingCircle

    public BoundingCircle getBoundingCircle()

  compute a point and radius around the extent.

### getID

    public java.lang.Object getID()

  return an object that this extent represents.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details